Home: Perl Programming Help: Advanced:
SOAP:Lite Issue with openssl



jamesgfinnegan
New User

Jul 19, 2012, 12:58 PM


Views: 6285
SOAP:Lite Issue with openssl

We installed the soap lite cpan module after installing openssl1.0.1. All of our perl scripts which are running webservice calls are working fine until we ran into 1 issue. We noticed that with this call the issue was with the newer version of openssl. We really needed openssl0.9.8, so after reinstalling that version of openssl our perl script to go after a webservice call is still ending with this error:

LWP::Protocol::https::Socket: SSL connect attempt failed with unknown error error:1408F119:SSL routines:SSL3_GET_RECORD:decryption failed or bad record mac at /usr/lib/perl5/site_perl/5.8.8/LWP/Protocol/http.pm line 51

Is this due to soap lite being installed with the newer version of openssl? Is there a way to update this so it will work with the 0.9.8 version? Do I need to reinstall soap lite? Is this even an issue with soap lite? Is this Crypt::SSLeay (loaded as well)?